<app-menu></app-menu>
<div class="container">

        <div class="row col-lg-14">
                <mat-toolbar color="warn">    
                <span>CRUD Proveedor</span>   
                </mat-toolbar>
        </div><br>

        <div class="col-12">
                <mat-form-field class="col-3">
                        <mat-label>Razón Social</mat-label>
                        <input matInput [(ngModel)]="razonsocial">
                </mat-form-field>

                <mat-form-field class="col-3">
                        <mat-label>RUC</mat-label>
                        <input matInput [(ngModel)]="ruc">
                </mat-form-field>

                <mat-checkbox class="example-margin" checked class="col-3" [(ngModel)]="estado">Estado
                </mat-checkbox>

                <button mat-raised-button type="submit" color="primary" (click)="consultaParametro()">Filtrar</button> |
                <button mat-raised-button type="submit" color="warn" (click)="exportarPDF()">Generar PDF</button>
        </div>

        <div class="col-12">

                <mat-form-field class="col-3">
                        <mat-label>País</mat-label>
                        <mat-select [(ngModel)]="selPais">
                                <mat-option value="-1"> [Seleccione] </mat-option>
                                <mat-option [value]="x.idPais" *ngFor="let x of lstPais">
                                        {{x.nombre}}
                                </mat-option>
                        </mat-select>
                </mat-form-field>

                <mat-form-field class="col-3">
                        <mat-label>Tipo de Proveedor</mat-label>
                        <mat-select [(ngModel)]="selTipoProveedor">
                                <mat-option value="-1"> [Seleccione] </mat-option>
                                <mat-option [value]="x.idDataCatalogo" *ngFor="let x of lstTipoProveedor">
                                        {{x.descripcion}}
                                </mat-option>
                        </mat-select>
                </mat-form-field>
        </div>

        <div class="col-lg-14">
                <div class="mat-elevation-z8">
                        <mat-table class="mat-elevation-z8" [dataSource]="dataSource" style="width: 100%;">

                                <ng-container matColumnDef="idProveedor">
                                        <th mat-header-cell *matHeaderCellDef style="width: 80px">ID</th>
                                        <td mat-cell *matCellDef="let aux" style="width: 80px">{{ aux.idProveedor }}
                                        </td>
                                </ng-container>

                                <ng-container matColumnDef="razonsocial">
                                        <th mat-header-cell *matHeaderCellDef style="width: 250px">Razón Social</th>
                                        <td mat-cell *matCellDef="let aux" style="width: 250px">{{ aux.razonsocial }}
                                        </td>
                                </ng-container>

                                <ng-container matColumnDef="ruc">
                                        <th mat-header-cell *matHeaderCellDef style="width: 200px">RUC</th>
                                        <td mat-cell *matCellDef="let aux" style="width: 200px">{{ aux.ruc }}</td>
                                </ng-container>

                                <ng-container matColumnDef="direccion">
                                        <th mat-header-cell *matHeaderCellDef style="width: 200px">Dirección</th>
                                        <td mat-cell *matCellDef="let aux" style="width: 200px">{{ aux.direccion }}</td>
                                </ng-container>

                                <ng-container matColumnDef="celular">
                                        <th mat-header-cell *matHeaderCellDef style="width: 200px">Celular</th>
                                        <td mat-cell *matCellDef="let aux" style="width: 200px">{{ aux.celular }}</td>
                                </ng-container>

                                <ng-container matColumnDef="contacto">
                                        <th mat-header-cell *matHeaderCellDef style="width: 200px">Contacto</th>
                                        <td mat-cell *matCellDef="let aux" style="width: 200px">{{ aux.contacto }}</td>
                                </ng-container>

                                <ng-container matColumnDef="estado">
                                        <th mat-header-cell *matHeaderCellDef style="width: 200px">Estado</th>
                                        <td mat-cell *matCellDef="let aux" style="width: 200px">{{ aux.estado == 1 ?
                                                "Activo" : "Inactivo" }}</td>
                                </ng-container>

                                <ng-container matColumnDef="fechaRegistro">
                                        <th mat-header-cell *matHeaderCellDef style="width: 300px">Fecha Registro</th>
                                        <td mat-cell *matCellDef="let aux" style="width: 300px">{{ aux.fechaRegistro }}
                                        </td>
                                </ng-container>

                                <ng-container matColumnDef="pais">
                                        <th mat-header-cell *matHeaderCellDef style="width: 200px">País</th>
                                        <td mat-cell *matCellDef="let aux" style="width: 200px">{{ aux.pais!.nombre }}
                                        </td>
                                </ng-container>

                                <ng-container matColumnDef="tipoProveedor">
                                        <th mat-header-cell *matHeaderCellDef style="width: 200px">Tipo Proveedor</th>
                                        <td mat-cell *matCellDef="let aux" style="width: 200px">{{
                                                aux.tipoProveedor!.descripcion }}
                                        </td>
                                </ng-container>

                                <mat-header-row *matHeaderRowDef="displayedColumns"></mat-header-row>
                                <mat-row *matRowDef="let row; columns: displayedColumns"></mat-row>
                        </mat-table>
                        <mat-paginator [pageSizeOptions]="[2, 4, 6]" showFirstLastButtons></mat-paginator>
                </div>
        </div>
</div>